Package ru.bitel.bgbilling.modules.mps.server.bean.protocol

# Enum Class ElecsnetAbstractTransactionManager.AnswerCode

java.lang.Object
java.lang.Enum<ElecsnetAbstractTransactionManager.AnswerCode>
ru.bitel.bgbilling.modules.mps.server.bean.protocol.ElecsnetAbstractTransactionManager.AnswerCode

All Implemented Interfaces:
  `Serializable`, `Comparable<ElecsnetAbstractTransactionManager.AnswerCode>`, `Constable`

Enclosing class:
  `ElecsnetAbstractTransactionManager`

protected static enum ElecsnetAbstractTransactionManager.AnswerCode extends Enum<ElecsnetAbstractTransactionManager.AnswerCode>
Коды ошибок протокола Елекснет.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ACCEPT_PAYMENT`
  В не финансовом запросе платеж разрешен В финансовом запросе платеж принят
  `ERROR_ACCOUNT_NUMBER`
  Неверный номер счета (абонент не найден), в случае идентификации по номеру счета
  `ERROR_AUTH_CODE`
  В финансовом запросе платёж с таким auth_code уже зарегистрирован
  `ERROR_CONTRACT_NUMBER`
  Неверный номер договора (абонент не найден), в случае идентификации по номеру договора
  `ERROR_DATE`
  В финансовом запросе учётная дата отличается от текущей более, чем на 24 часа.
  `ERROR_HASH`
  неверная подпись
  `ERROR_SERVICE_ADMIN`
  cервис временно недоступен по административным причинам
  `ERROR_SERVICE_TECHN`
  Сервис временно недоступен по техническим причинам
  `ERROR_SYSTEM`
  Системная ошибка (неверные форматы данных и пр.)

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getCode()`
  Получение кода ошибки
  `String`
  `toString()`
  `static ElecsnetAbstractTransactionManager.AnswerCode`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ElecsnetAbstractTransactionManager.AnswerCode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ACCEPT_PAYMENT

    public static final ElecsnetAbstractTransactionManager.AnswerCode ACCEPT_PAYMENT
    В не финансовом запросе платеж разрешен В финансовом запросе платеж принят

  - ### ERROR_AUTH_CODE

    public static final ElecsnetAbstractTransactionManager.AnswerCode ERROR_AUTH_CODE
    В финансовом запросе платёж с таким auth_code уже зарегистрирован

  - ### ERROR_DATE

    public static final ElecsnetAbstractTransactionManager.AnswerCode ERROR_DATE
    В финансовом запросе учётная дата отличается от текущей более, чем на 24 часа. Платёж не может быть зарегистрирован.

  - ### ERROR_HASH

    public static final ElecsnetAbstractTransactionManager.AnswerCode ERROR_HASH
    неверная подпись

  - ### ERROR_SERVICE_ADMIN

    public static final ElecsnetAbstractTransactionManager.AnswerCode ERROR_SERVICE_ADMIN
    cервис временно недоступен по административным причинам

  - ### ERROR_ACCOUNT_NUMBER

    public static final ElecsnetAbstractTransactionManager.AnswerCode ERROR_ACCOUNT_NUMBER
    Неверный номер счета (абонент не найден), в случае идентификации по номеру счета

  - ### ERROR_SERVICE_TECHN

    public static final ElecsnetAbstractTransactionManager.AnswerCode ERROR_SERVICE_TECHN
    Сервис временно недоступен по техническим причинам

  - ### ERROR_CONTRACT_NUMBER

    public static final ElecsnetAbstractTransactionManager.AnswerCode ERROR_CONTRACT_NUMBER
    Неверный номер договора (абонент не найден), в случае идентификации по номеру договора

  - ### ERROR_SYSTEM

    public static final ElecsnetAbstractTransactionManager.AnswerCode ERROR_SYSTEM
    Системная ошибка (неверные форматы данных и пр.)

- ## Method Details

  - ### values

    public static ElecsnetAbstractTransactionManager.AnswerCode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ElecsnetAbstractTransactionManager.AnswerCode valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getCode

    public int getCode()
    Получение кода ошибки
    Returns:
      the errorCode

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<ElecsnetAbstractTransactionManager.AnswerCode>`